<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackCollectionIterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_track_collection_iterator.html">TrackCollectionIterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_track_collection_iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackCollectionIterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aeccf56f9df9c6ad7bc42a97ea46ec7ab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection_iterator.html#aeccf56f9df9c6ad7bc42a97ea46ec7ab">TrackCollectionIterator</a> (int index, const <a class="el" href="namespaceeic.html#ac063da59a677f17113843a4a3e6964fe">TrackObjPointerContainer</a> *collection)</td></tr>
<tr class="separator:aeccf56f9df9c6ad7bc42a97ea46ec7ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ebdb96f70b1cccaa6be1bb047cb0844"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection_iterator.html#a8ebdb96f70b1cccaa6be1bb047cb0844">operator!=</a> (const <a class="el" href="classeic_1_1_track_collection_iterator.html">TrackCollectionIterator</a> &amp;x) const</td></tr>
<tr class="separator:a8ebdb96f70b1cccaa6be1bb047cb0844"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3484bf458e3ab502f67b4709ea37b85"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track.html">Track</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection_iterator.html#ae3484bf458e3ab502f67b4709ea37b85">operator*</a> () const</td></tr>
<tr class="separator:ae3484bf458e3ab502f67b4709ea37b85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a968fbdeaad0805cb5cab900e6a4c9dd3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track.html">Track</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection_iterator.html#a968fbdeaad0805cb5cab900e6a4c9dd3">operator-&gt;</a> () const</td></tr>
<tr class="separator:a968fbdeaad0805cb5cab900e6a4c9dd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9100e9b6eb060a2d6995e8c7fbe3b495"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track_collection_iterator.html">TrackCollectionIterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection_iterator.html#a9100e9b6eb060a2d6995e8c7fbe3b495">operator++</a> () const</td></tr>
<tr class="separator:a9100e9b6eb060a2d6995e8c7fbe3b495"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00029">29</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aeccf56f9df9c6ad7bc42a97ea46ec7ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeccf56f9df9c6ad7bc42a97ea46ec7ab">&#9670;&nbsp;</a></span>TrackCollectionIterator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackCollectionIterator::TrackCollectionIterator </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceeic.html#ac063da59a677f17113843a4a3e6964fe">TrackObjPointerContainer</a> *&#160;</td>
          <td class="paramname"><em>collection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00031">31</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8ebdb96f70b1cccaa6be1bb047cb0844"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ebdb96f70b1cccaa6be1bb047cb0844">&#9670;&nbsp;</a></span>operator!=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackCollectionIterator::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_track_collection_iterator.html">TrackCollectionIterator</a> &amp;&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00033">33</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_track_collection_8cc_source.html#l00230">operator*()</a>, <a class="el" href="_track_collection_8cc_source.html#l00240">operator++()</a>, and <a class="el" href="_track_collection_8cc_source.html#l00235">operator-&gt;()</a>.</p>

</div>
</div>
<a id="ae3484bf458e3ab502f67b4709ea37b85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3484bf458e3ab502f67b4709ea37b85">&#9670;&nbsp;</a></span>operator*()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track.html">Track</a> eic::TrackCollectionIterator::operator* </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00230">230</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<a id="a9100e9b6eb060a2d6995e8c7fbe3b495"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9100e9b6eb060a2d6995e8c7fbe3b495">&#9670;&nbsp;</a></span>operator++()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track_collection_iterator.html">TrackCollectionIterator</a> &amp; eic::TrackCollectionIterator::operator++ </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00240">240</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<a id="a968fbdeaad0805cb5cab900e6a4c9dd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a968fbdeaad0805cb5cab900e6a4c9dd3">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track.html">Track</a> * eic::TrackCollectionIterator::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00235">235</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a></li>
<li>src/<a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
